[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TContextPopupEvent

Handler type for OnContextPopup.

## Declaration

Source position: controls.pp line 1009

`type TContextPopupEvent = procedure(`
`Sender: TObject;`
`MousePos: TPoint;`
`var Handled: Boolean`
`) of object;`

## Arguments

`Sender` |  | The clicked control.
`MousePos` |  | Mouse position in client coordinates; (-1,-1) if the event was not generated by a mouse click.
`Handled` |  | Set Handled to True when everything was handled; False shows the associated PopupMenu, by default.